package com.vendor.loader.controler;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.loader.controler.IRunnerStateChangedListener;
import com.vendor.loader.controler.Runner;
import java.util.ArrayList;
import java.util.List;
import org.eclipse.swt.widgets.Display;

public class GlobleControler {
  public static final com.vendor.loader.controler.GlobleControler intance = new com.vendor.loader.controler.GlobleControler();
  
  public static final Runner runner = new Runner();
  
  private Protocol protocol = Protocol.SOCT;
  
  public List<IRunnerStateChangedListener> listeners = new ArrayList<>();
  
  public String SOCT_TS = "packer.ts";
  
  public String SOCT_USB = "usb_update.bin";
  
  public String SSU_TS = "packer.ts";
  
  public String SSUA_TS = "packer_ssu.ts";
  
  private boolean is32Bit;
  
  private boolean is64Bit;
  
  public static void setBranchByChipNameType(String chipNameType) {
    boolean is32BitSeries = false;
    boolean is64BitSeries = false;
    if (chipNameType != null)
      is64BitSeries = ("18".equalsIgnoreCase(chipNameType) || "19".equalsIgnoreCase(chipNameType) || "16".equalsIgnoreCase(chipNameType) || "24".equalsIgnoreCase(chipNameType) || "35".equalsIgnoreCase(chipNameType) || "25".equalsIgnoreCase(chipNameType) || "26".equalsIgnoreCase(chipNameType) || "27".equalsIgnoreCase(chipNameType) || "34".equalsIgnoreCase(chipNameType) || "29".equalsIgnoreCase(chipNameType) || "17".equalsIgnoreCase(chipNameType)); 
    intance.set32Bit(is32BitSeries);
    intance.set64Bit(is64BitSeries);
  }
  
  public boolean is64Bit() {
    return this.is64Bit;
  }
  
  public void set64Bit(boolean is64Bit) {
    this.is64Bit = is64Bit;
  }
  
  public boolean is32Bit() {
    return this.is32Bit;
  }
  
  public void set32Bit(boolean is32Bit) {
    this.is32Bit = is32Bit;
  }
  
  public Protocol getProtocol() {
    return this.protocol;
  }
  
  public void setProtocol(Protocol protocol) {
    this.protocol = protocol;
  }
  
  public boolean isSOCT() {
    return (this.protocol == Protocol.SOCT);
  }
  
  public void addRunnerStateChangedListener(IRunnerStateChangedListener listener) {
    if (this.listeners.contains(listener))
      return; 
    this.listeners.add(listener);
  }
  
  public void removeRunnerStateChangedListener(IRunnerStateChangedListener listener) {
    if (!this.listeners.contains(listener))
      return; 
    this.listeners.remove(listener);
  }
  
  public void dispatchRunnerStart() {
    Display.getDefault().asyncExec((Runnable)new Object(this));
  }
  
  public void dispatchRunnerStop() {
    Display.getDefault().asyncExec((Runnable)new Object(this));
  }
}
